<?php
/*
 * Copyright(c) 2015 PAYDESIGN, Inc. All rights reserved.
 * http://www.paydesign.co.jp/
 */

namespace Plugin\PayDesign\Entity;

/**
 * Information about card information about PayDesign Plugin
 */
class PayDesignCardInfo extends \Eccube\Entity\AbstractEntity {

    /**
     * @var integer
     */
    private $id;

    /**
     * @var string
     */
    private $card_sid;

    /**
     * @var integer
     */
    private $customer_id;

    /**
     * @var integer
     */
    private $card_kind;

    /**
     * @var string
     */
    private $card_num;

    /**
     * @var string
     */
    private $card_limit;

    /**
     * @var integer
     */
    private $card_enable;

    /**
     * @var string
     */
    private $card_order_sid;

    /**
     * @var \DateTime
     */
    private $create_date;

    /**
     * @var \DateTime
     */
    private $update_date;

    /**
     * @var integer
     */
    private $del_flg;

    /**
     * Constructor
     */
    public function __construct()
    {
    }

    /**
     * Set id (card_id)
     *
     * @param  integer $id
     * @return Module
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get id (card_id)
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set card_sid
     *
     * @param  string $card_sid
     * @return Module
     */
    public function setCardSid($card_sid)
    {
        $this->card_sid = $card_sid;

        return $this;
    }

    /**
     * Get card_sid
     *
     * @return string
     */
    public function getCardSid()
    {
        return $this->card_sid;
    }

    /**
     * Set customer_id
     *
     * @param  integer $customer_id
     * @return Module
     */
    public function setCustomerId($customer_id)
    {
        $this->customer_id = $customer_id;

        return $this;
    }

    /**
     * Get customer_id
     *
     * @return integer
     */
    public function getCustomerId()
    {
        return $this->customer_id;
    }

    /**
     * Set card_kind
     *
     * @param  integer $card_kind
     * @return Module
     */
    public function setCardKind($card_kind)
    {
        $this->card_kind = $card_kind;

        return $this;
    }

    /**
     * Get card_kind
     *
     * @return integer
     */
    public function getCardKind()
    {
        return $this->card_kind;
    }

    /**
     * Set card_num
     *
     * @param  string $card_num
     * @return Module
     */
    public function setCardNum($card_num)
    {
        $this->card_num = $card_num;

        return $this;
    }

    /**
     * Get card_num
     *
     * @return string
     */
    public function getCardNum()
    {
        return $this->card_num;
    }

    /**
     * Set card_limit
     *
     * @param  string $card_limit
     * @return Module
     */
    public function setCardLimit($card_limit)
    {
        $this->card_limit = $card_limit;

        return $this;
    }

    /**
     * Get card_limit
     *
     * @return string
     */
    public function getCardLimit()
    {
        return $this->card_limit;
    }

    /**
     * Set card_enable
     *
     * @param  integer $card_enable
     * @return Module
     */
    public function setCardEnable($card_enable)
    {
        $this->card_enable = $card_enable;

        return $this;
    }

    /**
     * Get card_enable
     *
     * @return integer
     */
    public function getCardEnable()
    {
        return $this->card_enable;
    }

    /**
     * Set card_order_sid
     *
     * @param  string $card_order_sid
     * @return Module
     */
    public function setCardOrderSid($card_order_sid)
    {
        $this->card_order_sid = $card_order_sid;

        return $this;
    }

    /**
     * Get card_order_sid
     *
     * @return string
     */
    public function getCardOrderSid()
    {
        return $this->card_order_sid;
    }

    /**
     * Set create_date
     *
     * @param  \DateTime $createDate
     * @return Payment
     */
    public function setCreateDate($createDate)
    {
        $this->create_date = $createDate;

        return $this;
    }

    /**
     * Get create_date
     *
     * @return \DateTime
     */
    public function getCreateDate()
    {
        return $this->create_date;
    }

    /**
     * Set update_date
     *
     * @param  \DateTime $updateDate
     * @return Payment
     */
    public function setUpdateDate($updateDate)
    {
        $this->update_date = $updateDate;

        return $this;
    }

    /**
     * Get update_date
     *
     * @return \DateTime
     */
    public function getUpdateDate()
    {
        return $this->update_date;
    }

    /**
     * Set del_flg
     *
     * @param  integer $delFlg
     * @return Payment
     */
    public function setDelFlg($delFlg)
    {
        $this->del_flg = $delFlg;

        return $this;
    }

    /**
     * Get del_flg
     *
     * @return integer
     */
    public function getDelFlg()
    {
        return $this->del_flg;
    }
}
?>
